Bug 107850 - [CI][DRMTIP] igt@gem_fence_thrash@bo-write-verify-threaded-[x|y|none] - fail - Failed assertion: tmp[j] == ~(i+ j), tiling y: write failed at 32752 (b7576eaf)
Summary: [CI][DRMTIP] igt@gem_fence_thrash@bo-write-verify-threaded-[x|y|none] - fail ...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: low normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-07 07:41 UTC by Martin Peres
Modified: 2019-07-31 12:07 UTC (History)
1 user (show)

See Also:
i915 platform: BSW/CHT
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-09-07 07:41:16 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_105/fi-bsw-kefka/igt@gem_fence_thrash@bo-write-verify-threaded-y.html

(gem_fence_thrash:1148) CRITICAL: Test assertion failure function _bo_write_verify, file ../tests/gem_fence_thrash.c:160:
(gem_fence_thrash:1148) CRITICAL: Failed assertion: tmp[j] == ~(i+ j)
(gem_fence_thrash:1148) CRITICAL: tiling y: write failed at 32752 (b7576eaf)
Subtest bo-write-verify-threaded-y failed.
Comment 1 Martin Peres 2018-11-13 15:09:01 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_139/fi-bsw-n3050/igt@gem_fence_thrash@bo-write-verify-threaded-x.html

Starting subtest: bo-write-verify-threaded-x
(gem_fence_thrash:1084) CRITICAL: Test assertion failure function _bo_write_verify, file ../tests/i915/gem_fence_thrash.c:160:
(gem_fence_thrash:1084) CRITICAL: Failed assertion: tmp[j] == ~(i+ j)
(gem_fence_thrash:1084) CRITICAL: tiling x: write failed at 30336 (7000b848)
Subtest bo-write-verify-threaded-x failed.
Comment 2 Lakshmi 2018-11-21 16:43:38 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_144/fi-bsw-kefka/igt@gem_fence_thrash@bo-write-verify-threaded-none.html

Starting subtest: bo-write-verify-threaded-none
(gem_fence_thrash:1159) CRITICAL: Test assertion failure function _bo_write_verify, file ../tests/i915/gem_fence_thrash.c:160:
(gem_fence_thrash:1159) CRITICAL: Failed assertion: tmp[j] == ~(i+ j)
(gem_fence_thrash:1159) CRITICAL: tiling none: write failed at 32432 (f7e6efcc)
Subtest bo-write-verify-threaded-none failed.
**** DEBUG ****
(gem_fence_thrash:1159) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_fence_thrash:1159) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_fence_thrash:1159) INFO: write-verify: threads 80, fences 16, tiling 0, surfaces per thread 2
(gem_fence_thrash:1159) CRITICAL: Test assertion failure function _bo_write_verify, file ../tests/i915/gem_fence_thrash.c:160:
(gem_fence_thrash:1159) CRITICAL: Failed assertion: tmp[j] == ~(i+ j)
(gem_fence_thrash:1159) CRITICAL: tiling none: write failed at 32432 (f7e6efcc)
(gem_fence_thrash:1159) igt_core-INFO: Stack trace:
(gem_fence_thrash:1159) igt_core-INFO:   #0 ../lib/igt_core.c:1467 __igt_fail_assert()
(gem_fence_thrash:1159) igt_core-INFO:   #1 ../tests/i915/gem_fence_thrash.c:157 _bo_write_verify()
(gem_fence_thrash:1159) igt_core-INFO:   #2 ../tests/i915/gem_fence_thrash.c:188 bo_write_verify()
(gem_fence_thrash:1159) igt_core-INFO:   #3 /build/glibc-OTsEL5/glibc-2.27/nptl/pthread_create.c:463 start_thread()
(gem_fence_thrash:1159) igt_core-INFO:   #4 ../sysdeps/unix/sysv/linux/x86_64/clone.S:97 __clone()
****  END  ****
Subtest bo-write-verify-threaded-none: FAIL (5.953s)
Comment 3 Francesco Balestrieri 2019-02-12 13:31:25 UTC
Last seen 1 month / 854 runs ago. Before that, was happening every 50-80 runs. Let's keep it active for a while still.
Comment 4 Martin Peres 2019-03-08 17:06:34 UTC
Need to wait until drmtip_323... Lowering the priority!
Comment 5 Chris Wilson 2019-03-15 22:52:05 UTC
commit 8cd999181f8c744c87fb64e7b3600876ec3428b2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jan 14 21:17:27 2019 +0000

    drm/i915: Prevent concurrent GGTT update and use on Braswell (again)
    
    On Braswell, under heavy stress, if we update the GGTT while
    simultaneously accessing another region inside the GTT, we are returned
    the wrong values. To prevent this we stop the machine to update the GGTT
    entries so that no memory traffic can occur at the same time.
Comment 6 Lakshmi 2019-07-31 12:07:52 UTC
No new occurrences after drmtip_187 (6 months, 3 weeks old). The reproduction rate of this issue is once in 13.6 runs, last seen on drmtip_187 and current run is 336.

Closing this issue as fixed.
Comment 7 CI Bug Log 2019-07-31 12:07:58 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.